Get VCF Infra Endpoint

Get VCF Infra Endpoint
Get the registered VCF infra endpoint in VCFA.

Retrieve the registered VCF infra endpoint in VCFA.

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/vcfInfraEndpoints/{id}
COPY
Path Parameters
string
id
Required

id of the VCF InfraEndpoint


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns VCFInfraEndpoint of type(s) application/json;version=9.1.0
{
    "id": "urn:vcloud:vcfInfraEndpoint:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "name": "string",
    "hostName": "string",
    "username": "string",
    "password": "string",
    "ipaddress": "string",
    "certificate": "string",
    "version": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/vcfInfraEndpoints/{id}